List agent versions
GET /api/v1/agent_version
GET
/api/v1/agent_version
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” agent_id
Query Parameters
Section titled “Query Parameters ” idempotency_key
One of:
IdempotencyKeyOrNull
Optional idempotency key for ensuring request idempotency
string
Null
Null
string
sorting
pagination[offset]
pagination[page_size]
Responses
Section titled “ Responses ”Success
object
pagination
One of:
PaginationOutput
Pagination information
object
item_count
The total number of items
integer
item_end
The index of the last item in the page (one-based)
integer
item_start
The index of the first item in the page (one-based)
integer
next_page_offset
page_count
The total number of pages
integer
page_index
The index of the current page (one-based)
integer
page_offset
The offset of the first item in the page (zero-based)
integer
page_size
The number of items per page
integer
Example
{ "item_count": 200, "item_end": 100, "item_start": 91, "next_page_offset": 110, "page_count": 20, "page_index": 10, "page_offset": 90, "page_size": 10, "previous_page_offset": 80} Null
Null
string
sorting
status
string
Example
success summaries
Array<object>
AgentVersion_Summaryobject
account_id
Account_Id
A valid account ID
string
Example
013xrzp12g3nqk8ngskn1wtxgka5b0nf agent_id
Agent_Id
A valid agent ID
string
Example
013xrzp12g3nqk8nx0y2vfkg4s3jp2qr agent_schema_version_id
AgentSchemaVersion_Id
A valid agent schema version ID
string
Example
013xrzp12g3nqk8nzntq40gkzaf2d9m2 current_version
Whether this version is the agent’s current version.
boolean
external_identifier
External identifier for the agent version
string
Example
v1.0.0 id
AgentVersion_Id
A valid agent version ID
string
Example
013xrzp12g3nqk8n6mv28ge2v9f7n2hc inserted_at
When the agent version was created
string format: date-time
Example
2024-01-01T00:00:00Z type
Type of resource (always ‘agent_version’)
string
Example
agent_version updated_at
When the agent version was last updated
string format: date-time
Example
2024-01-01T00:00:00Zdefault
Section titled “default ”Error
One of:
object
code
string
Example
bad_request message
string
status
string
Example
errorobject
code
string
Example
validation_errors errors
message
string
status
string
Example
error